summaryrefslogtreecommitdiff
path: root/dev-python/dnspython
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-04 12:49:48 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-04 12:49:48 +0000
commit07f7435a0b3afa339fa55e782fc5fce9c6c6b834 (patch)
treeb39bf4bc9e20dcb73999e2f02eb5701976d02f8e /dev-python/dnspython
parent507e4df5f1706cfbe1809227e593dcee305eeaad (diff)
downloadbaldeagleos-repo-07f7435a0b3afa339fa55e782fc5fce9c6c6b834.tar.gz
baldeagleos-repo-07f7435a0b3afa339fa55e782fc5fce9c6c6b834.tar.xz
baldeagleos-repo-07f7435a0b3afa339fa55e782fc5fce9c6c6b834.zip
Adding metadata
Diffstat (limited to 'dev-python/dnspython')
-rw-r--r--dev-python/dnspython/dnspython-2.2.1-r1.ebuild52
-rw-r--r--dev-python/dnspython/dnspython-2.2.1.ebuild2
-rw-r--r--dev-python/dnspython/metadata.xml6
3 files changed, 59 insertions, 1 deletions
diff --git a/dev-python/dnspython/dnspython-2.2.1-r1.ebuild b/dev-python/dnspython/dnspython-2.2.1-r1.ebuild
new file mode 100644
index 000000000000..f7d19379399c
--- /dev/null
+++ b/dev-python/dnspython/dnspython-2.2.1-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="DNS toolkit for Python"
+HOMEPAGE="
+ https://www.dnspython.org/
+ https://github.com/rthalley/dnspython/
+ https://pypi.org/project/dnspython/
+"
+SRC_URI="
+ https://github.com/rthalley/dnspython/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+IUSE="dnssec examples"
+
+RDEPEND="
+ dnssec? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ )
+ <dev-python/idna-4.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/network_avail/s:True:False:' \
+ tests/*.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest -s
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
diff --git a/dev-python/dnspython/dnspython-2.2.1.ebuild b/dev-python/dnspython/dnspython-2.2.1.ebuild
index 4b4d1cedbcb3..7028fc781175 100644
--- a/dev-python/dnspython/dnspython-2.2.1.ebuild
+++ b/dev-python/dnspython/dnspython-2.2.1.ebuild
@@ -21,7 +21,7 @@ SRC_URI="
LICENSE="ISC"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
+KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-solaris"
IUSE="examples"
RDEPEND="
diff --git a/dev-python/dnspython/metadata.xml b/dev-python/dnspython/metadata.xml
index 1958e2f75626..ee435af06636 100644
--- a/dev-python/dnspython/metadata.xml
+++ b/dev-python/dnspython/metadata.xml
@@ -22,6 +22,12 @@ DNSPythonはPython言語用のDNSツールキットです。ほとんどのレ
します。
</longdescription>
+ <use>
+ <flag name="dnssec">
+ Use <pkg>dev-python/cryptography</pkg> to enable low-level
+ DNSSEC RSA, DSA, ECDSA and EdDSA signature validation.
+ </flag>
+ </use>
<origin>gentoo-staging</origin>
<stabilize-allarches/>
</pkgmetadata> \ No newline at end of file